import random, socket, time, multiprocessing, sys


def runbot(id):
	min_speed = -10
	max_speed = 30
	host = "127.0.0.1"
	port = 37875

	s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
	speed_msg = "{0} setspeed {1} {2}"
	sensor_msg = "{0} getsensors"
	while True:
		left = random.randint(min_speed, max_speed)
		right = random.randint(min_speed, max_speed)

		s.sendto(speed_msg.format(id, left, right), (host, port))
		tmp = s.recv(1024)
		s.sendto(sensor_msg.format(id), (host, port))
		tmp = s.recv(1024)

		#time.sleep(0.016)

if __name__ == "__main__":
	num = 0
	if len(sys.argv) < 2:
		num = input("How many robots do you want to run? ")
	else:
		num = int(sys.argv[1])

	for i in xrange(num):
		multiprocessing.Process(target=runbot, args=(i,)).start()
	print "Done starting all"
