#-------------------------------------------------
#
# Project created by QtCreator 2013-02-10T13:46:55
#
#-------------------------------------------------

QT       += core gui network concurrent opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = ChirpSim
TEMPLATE = app

INCLUDEPATH += $$PWD/include

SOURCES += main.cpp \
    mainwindow.cpp \
    mathutility.cpp \
    physicalobjectfactory.cpp \
    PhysicalObjects/arena.cpp \
    PhysicalObjects/chirp.cpp \
    PhysicalObjects/pushableobject.cpp \
    PhysicalObjects/wall.cpp \
    robotrepository.cpp \
    simulatorview.cpp \
    world.cpp \
    chirpnetworkcontroller.cpp \
    controllerserver.cpp \
    drawutilities.cpp \
    irsensor.cpp \
    jsonhelpers.cpp


HEADERS  += \
    include/chirpnetworkcontroller.h \
    include/controller.h \
    include/controllerserver.h \
    include/drawutilities.h \
    include/irsensor.h \
    include/mainwindow.h \
    include/mathutility.h \
    include/physicalobjectfactory.h \
    include/PhysicalObjects/arena.h \
    include/PhysicalObjects/chirp.h \
    include/PhysicalObjects/physicalobject.h \
    include/PhysicalObjects/pushableobject.h \
    include/PhysicalObjects/wall.h \
    include/robot.h \
    include/robotrepository.h \
    include/sensor.h \
    include/simulatorview.h \
    include/world.h \
    include/jsonhelpers.h

FORMS    += mainwindow.ui

win32:CONFIG(release, debug|release): LIBS += -L$$PWD/Libraries/lib/ -lBox2D
else:win32:CONFIG(debug, debug|release): LIBS += -L$$PWD/Libraries/lib/ -lBox2Dd
else:unix: LIBS += -L$$PWD/Libraries/lib/ -lBox2D

INCLUDEPATH += $$PWD/Libraries/include
DEPENDPATH += $$PWD/Libraries/include

win32:CONFIG(release, debug|release): PRE_TARGETDEPS += $$PWD/Libraries/lib/Box2D.lib
else:win32:CONFIG(debug, debug|release): PRE_TARGETDEPS += $$PWD/Libraries/lib/Box2Dd.lib
else:unix: PRE_TARGETDEPS += $$PWD/Libraries/lib/libBox2D.a
