#include "mathutility.h"

void b2Vec2ToQPointF(b2Vec2* points, size_t num_points, QPointF* result)
{
    for(size_t i = 0; i < num_points; ++i)
    {
        result[i] = QPointF(points[i].x, points[i].y);
    }
}

void QPointFTob2Vec2(QList<QPointF> points, b2Vec2* result)
{
    for(int i = 0; i < points.length(); ++i)
    {
        result[i] = b2Vec2(points[i].x(), points[i].y());
    }
}
